diff -burN mindi-1.2.3/analyze-my-lvm mindi-1.2.3-new/analyze-my-lvm
--- mindi-1.2.3/analyze-my-lvm	2007-06-25 17:12:01.000000000 +0200
+++ mindi-1.2.3-new/analyze-my-lvm	2007-07-02 12:18:40.000000000 +0200
@@ -34,6 +34,10 @@
 	[ ! -e "$1" ] && Die "Cannot find LV file $1"
 	volume_group=`echo "$LV_full_string" | cut -d'/' -f3`
 	logical_volume=`echo "$LV_full_string" | cut -d'/' -f4`
+	if [ "$EXCLUDE_VG" ] && [ "`echo " $EXCLUDE_VG " | grep -F " $volume_group "`" ] || [ "`echo " $EXCLUDE_VG " | grep " $volume_group "`" ] ; then
+		echo "Excluding $logical_volume (volume_group $volume_group)"
+		return
+	fi
 	if [ $lvmversion = 2 ]; then
 		device=$LV_full_string
 		params=`GenerateLvcreateParameters $device`
@@ -104,11 +108,18 @@
 
 
 ProcessVolumeGroup() {
-	local current_VG physical_volumes i list_of_devices VG_params
+	local current_VG physical_volumes i list_of_devices VG_params device
 	current_VG=$1
 	if [ $lvmversion = 2 ]; then
 		VG_params=`GenerateVgcreateParameters $current_VG`
 		list_of_devices=`$LVMCMD pvs | grep " $current_VG " | awk '{print $1}'`
+		for device in $list_of_devices; do
+			if [ "$EXCLUDE_DEVS" ] && [ "`echo " $EXCLUDE_DEVS " | grep -F " $list_of_devices "`" ] || [ "`echo " $EXCLUDE_DEVS " | grep " $list_of_devices "`" ] ; then
+				echo "Excluding $device -> excluding $current_VG"
+				EXCLUDE_VG="$EXCLUDE_VG $current_VG"
+				return
+			fi
+		done
 	else
 		info_file=/proc/lvm/VGs/$current_VG/group
 		physical_volumes=`ls /proc/lvm/VGs/$current_VG/PVs`
@@ -189,6 +200,9 @@
 
 
 # -------------------------------- main -----------------------------------
+EXCLUDE_DEVS=$@
+EXCLUDE_VG=""
+
 which lvmdiskscan 2>/dev/null 2>&1 || Die "lvmdiskscan not found. Won't handle LVM."
 if [ -e "/proc/lvm/global" ] && [ "`tr -s '\t' ' ' < /proc/lvm/global | grep "0 VGs 0 PVs 0 LVs"`" != "" ] ; then
 	exit 0
@@ -228,8 +242,13 @@
 	echo "(insmod lvm-mod)"
 fi
 echo "# $LVMCMD vgchange -an"
+echo "Excluding $EXCLUDE_DEVS"
 for i in `ListAllPhysicalVolumes` ; do
+	if [ "$EXCLUDE_DEVS" ] && [ "`echo " $EXCLUDE_DEVS " | grep -F " $i "`" ] || [ "`echo " $EXCLUDE_DEVS " | grep " $i "`" ] ; then
+		echo "Excluding $i from mountlist"
+	else
 	echo "# echo y | $LVMCMD pvcreate -ff $i"
+	fi
 done
 echo "# $LVMCMD vgscan"
 echo ""
@@ -245,7 +264,12 @@
 echo "Finally, create the LV's (logical volumes)."
 all_logical_volumes=`ListAllLogicalVolumes`
 for current_LV in $all_logical_volumes ; do
+	if [ "$EXCLUDE_DEVS" ] && [ "`echo " $EXCLUDE_DEVS " | grep -F " $current_LV "`" ] || [ "`echo " $EXCLUDE_DEVS " | grep " $current_LV "`" ] ; then
+		echo "Excluding $current_LV from mountlist"
+	else
+		echo "Processing $current_LV"
 	ProcessLogicalVolume $current_LV
+	fi
 done
 echo ""
 echo "# $LVMCMD vgscan"
diff -burN mindi-1.2.3/mindi mindi-1.2.3-new/mindi
--- mindi-1.2.3/mindi	2007-06-13 15:07:21.000000000 +0200
+++ mindi-1.2.3-new/mindi	2007-07-02 12:19:33.000000000 +0200
@@ -1195,7 +1195,7 @@
 
 	if [ $LVM != "false" ]; then
 		echo -en "\rAnalyzing LVM...\r"
-		$MINDI_LIB/analyze-my-lvm > $MINDI_TMP/lvm.res
+		$MINDI_LIB/analyze-my-lvm $EXCLUDE_DEVS > $MINDI_TMP/lvm.res
 		if [ $? -ne 0 ]; then
 			LVM="false"
 		fi
@@ -2198,7 +2198,7 @@
 	mkdir -p $minidir_root/$noof_disks/tmp
 	cp -f $MINDI_TMP/mountlist.txt $minidir_root/$noof_disks/tmp/mountlist.txt 2> /dev/null || Die "Cannot copy mountlist.txt from $MINDI_TMP to data disk"
 	[ _"$MONDO_SHARE" != _"" ] && cp -f $minidir_root/$noof_disks/tmp/mountlist.txt $MINDI_TMP/. 2>> $LOGFILE
-	[ $LVM != "false" ] && $MINDI_LIB/analyze-my-lvm > $minidir_root/$noof_disks/tmp/i-want-my-lvm || LVM="false"
+	[ $LVM != "false" ] && $MINDI_LIB/analyze-my-lvm $EXCLUDE_DEVS > $minidir_root/$noof_disks/tmp/i-want-my-lvm || LVM="false"
 	cat $minidir_root/$noof_disks/tmp/mountlist.txt >> $LOGFILE
 	ZipMinidirsIntoTarballs $minidir_root $tardir $noof_disks
 	CreateDataDiskImagesFromTarballs $tardir $imagesdir $noof_disks
